import log from './log.js';
import ConfigManager from '../libs/configManager.js';
import __path from './path.js';
import _ from 'lodash';

// Create a new config instance.
const config = new ConfigManager(__path + '/config.json', true, {
	db_connection_string: 'mysql://USER:PASSWORD@HOST:3306/DATABASE',
	http_listen_address: '0.0.0.0',
	http_port: 3000,
	http_domain: 'example.org',
	http_enable_hsts: false,
	devmode: true,
	devmode_fileupload: true
});//, log.core); // Disabled due to Cyclic dependencies with log handler (specifically-> devmode for loglevel)

export default config;
